<template>
  <q-page class="q-pa-md">
    <div class="text-h4">Dashboard</div>
    <div class="q-pa-md">
      <q-card>
        <q-card-section>
          <q-breadcrumbs>
            <q-breadcrumbs-el label="Dashboard" />
          </q-breadcrumbs>
        </q-card-section>
      </q-card>
    </div>
    <div class="row">
      <div class="col-6 q-pa-sm">
        <q-card>
          <q-card-section> Blog Information </q-card-section>
          <q-separator></q-separator>
          <q-card-section>
            <ul>
              <li>Post : {{ store.blogsCount }}</li>
              <li>Category : {{ store.categoriesCount }}</li>
              <li>Tags : {{ store.tagsCount }}</li>
            </ul>
          </q-card-section>
        </q-card>
      </div>
      <div class="col-6 q-pa-sm">
        <q-card>
          <q-card-section> Game Information </q-card-section>
          <q-separator></q-separator>
          <q-card-section>
            <ul>
              <li>Game : {{ store.gamesCount }}</li>
              <li>Genre : {{ store.genresCount }}</li>
            </ul>
          </q-card-section>
        </q-card>
      </div>
    </div>
  </q-page>
</template>

<script>
import { useAdminDashboardStore } from 'stores/admin-dashboard';

export default {
  name: 'DashboardAdminPage',

  setup() {
    const store = useAdminDashboardStore();
    store.fetchItems();
    return { store };
  },
};
</script>
